diff --git a/Include/Makefile.am b/Include/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Include/Makefile.am
@@ -0,0 +1,2 @@
+pkginclude_HEADERS = btf.h
+noinst_HEADERS = btf_internal.h
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,5 @@
+SUBDIRS = Include Source
+EXTRA_DIST = README.txt Doc/ChangeLog Doc/lesser.txt
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = btf.pc
diff --git a/Source/Makefile.am b/Source/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Source/Makefile.am
@@ -0,0 +1,18 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include $(SUITESPARSECONFIG_CFLAGS)
+
+BTFSRC = \
+	btf_maxtrans.c \
+	btf_order.c \
+	btf_strongcomp.c
+
+lib_LTLIBRARIES = libbtf.la
+noinst_LTLIBRARIES = libbtfi.la libbtfl.la
+
+libbtfi_la_SOURCES = $(BTFSRC)
+
+libbtfl_la_SOURCES = $(BTFSRC)
+libbtfl_la_CPPFLAGS = $(AM_CPPFLAGS) -DDLONG
+
+libbtf_la_SOURCES =
+libbtf_la_LIBADD = libbtfi.la libbtfl.la
+libbtf_la_LDFLAGS = -no-undefined -release $(PACKAGE_VERSION)
diff --git a/btf.pc.in b/btf.pc.in
new file mode 100644
--- /dev/null
+++ b/btf.pc.in
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: Permutation to block triangular form
+Version: @PACKAGE_VERSION@
+URL: @PACKAGE_URL@
+Requires.private: suitesparseconfig
+Libs: -L${libdir} -lbtf
+Cflags: -I${includedir}/btf
diff --git a/configure.ac b/configure.ac
new file mode 100644
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,32 @@
+#                                               -*- Autoconf -*-
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ([2.69])
+AC_INIT([BTF],[1.2.1],[DrTimothyAldenDavis@gmail.com],[btf],[http://www.suitesparse.com/])
+AC_CONFIG_SRCDIR([Source/btf_order.c])
+AC_CONFIG_HEADERS([config.h])
+AM_INIT_AUTOMAKE([foreign])
+LT_INIT
+
+# Checks for programs.
+AC_PROG_INSTALL
+AC_PROG_CC
+
+# Checks for libraries.
+PKG_PROG_PKG_CONFIG
+PKG_CHECK_MODULES([SUITESPARSECONFIG],[suitesparseconfig],
+	[],
+	[AC_MSG_ERROR([cannot find suitesparseconfig])])
+
+# Checks for header files.
+
+# Checks for typedefs, structures, and compiler characteristics.
+
+# Checks for library functions.
+
+AC_CONFIG_FILES([
+	btf.pc
+	Makefile
+	Include/Makefile
+	Source/Makefile])
+AC_OUTPUT
